Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkCollectPolyData Class Reference

`#include <vtkCollectPolyData.h>`

Inheritance diagram for vtkCollectPolyData:

[legend]
Collaboration diagram for vtkCollectPolyData:

[legend]
List of all members.

## Detailed Description

Collect distributed polydata.

Date:
  2002/08/12 15:20:30

Revision:
  1.4

.DESCRIPTION This filter has code to collect polydat from across processes onto node 0. This collection can be controlled by the size of the data. If the final data size will be above the threshold, then it will not be collected.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (86%)
  - Cedilnik, Andy (11%)

CVS logs (CVSweb):
  - .`cxx` (`/Parallel/vtkCollectPolyData.cxx)`
  - .`h` (`/Parallel/vtkCollectPolyData.h)`

Definition at line 45 of file vtkCollectPolyData.h.

## Public Types
typedef vtkPolyDataToPolyDataFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetController (vtkMultiProcessController *)
virtual vtkMultiProcessController * | GetController ()
virtual void | SetThreshold (unsigned long)
virtual unsigned long | GetThreshold ()
virtual int | GetCollected ()
## Static Public Methods
vtkCollectPolyData * | New ()
int | IsTypeOf (const char *type)
vtkCollectPolyData * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkCollectPolyData ()
| ~vtkCollectPolyData ()
void | ComputeInputUpdateExtents (vtkDataObject *output)
void | Execute ()
void | ExecuteInformation ()
## Protected Attributes
unsigned long | Threshold
int | Collected
vtkMultiProcessController * | Controller

## Member Typedef Documentation

typedef vtkPolyDataToPolyDataFilter vtkCollectPolyData::Superclass

| Reimplemented from vtkPolyDataToPolyDataFilter. Definition at line 49 of file vtkCollectPolyData.h.

## Constructor & Destructor Documentation

vtkCollectPolyData::vtkCollectPolyData | ( |  | ) | `[protected]`

vtkCollectPolyData::~vtkCollectPolyData | ( |  | ) | `[protected]`

## Member Function Documentation

vtkCollectPolyData* vtkCollectPolyData::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkCollectPolyData::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataToPolyDataFilter.

int vtkCollectPolyData::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataToPolyDataFilter.

virtual int vtkCollectPolyData::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataToPolyDataFilter.

vtkCollectPolyData* vtkCollectPolyData::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataToPolyDataFilter.

void vtkCollectPolyData::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataToPolyDataFilter.

virtual void vtkCollectPolyData::SetController | ( | vtkMultiProcessController * |  | ) | `[virtual]`

| By defualt this filter uses the global controller, but this method can be used to set another instead.

virtual vtkMultiProcessController* vtkCollectPolyData::GetController | ( |  | ) | `[virtual]`

| By defualt this filter uses the global controller, but this method can be used to set another instead.

virtual void vtkCollectPolyData::SetThreshold | ( | unsigned | long | ) | `[virtual]`

| Threshold that determines whether data will be collected. If the total size of the data in kilobytes is less than this threshold, then the data remains distributed.

virtual unsigned long vtkCollectPolyData::GetThreshold | ( |  | ) | `[virtual]`

| Threshold that determines whether data will be collected. If the total size of the data in kilobytes is less than this threshold, then the data remains distributed.

virtual int vtkCollectPolyData::GetCollected | ( |  | ) | `[virtual]`

| This flag is set based on whether the data was collected to process 0 or not.

void vtkCollectPolyData::ComputeInputUpdateExtents | ( | vtkDataObject * | output | ) | `[protected, virtual]`

| What is the input update extent that is required to produce the desired output? By default, the whole input is always required but this is overridden in many subclasses. Reimplemented from vtkPolyDataSource.

void vtkCollectPolyData::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

void vtkCollectPolyData::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkSource.

## Member Data Documentation

unsigned long vtkCollectPolyData::Threshold`[protected]`

| Definition at line 82 of file vtkCollectPolyData.h.

int vtkCollectPolyData::Collected`[protected]`

| Definition at line 83 of file vtkCollectPolyData.h.

vtkMultiProcessController* vtkCollectPolyData::Controller`[protected]`

| Definition at line 85 of file vtkCollectPolyData.h.

The documentation for this class was generated from the following file:

- Parallel/vtkCollectPolyData.h